libconfig-model-dpkg-perl (2.121) unstable; urgency=medium

  * dual life dependency on perl modules are now deprecated.
    When cme fix is run, the perl alternate of a dual dependency
    is now removed.
  * copyright: update copyright years
  * control: remove dual dependencies (dogfooding)

 -- Dominique Dumont <dod@debian.org>  Thu, 31 Jan 2019 19:34:19 +0100

libconfig-model-dpkg-perl (2.120) unstable; urgency=medium

  Bug fixes:
  * cme update: better handle copyright data generated
    by dh-make-perl
  * remove arch qualifier when checking package on madison
    (i.e. check for package perl and not perl:any)

  Doc improvement for maintenance:
  * add README file in t/scanner
  * update instructions to add test cases

  Tests updates:
  * fix open-nebula-from-scratch test
  * tests: fix warning about old standard-versions
    (Closes: #917430)
  * forbid calls to madison during tests

  Other:
  * bump compat to 12
  * control: declare compliance with policy 4.3.0

 -- Dominique Dumont <dod@debian.org>  Sun, 30 Dec 2018 18:46:04 +0100

libconfig-model-dpkg-perl (2.119) unstable; urgency=medium

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ Dominique Dumont ]
  * control: add dep on libconfig-model-backend-yaml-perl

 -- Dominique Dumont <dod@debian.org>  Mon, 17 Dec 2018 18:58:50 +0100

libconfig-model-dpkg-perl (2.118) unstable; urgency=medium

  * fix test that broke with Config::Model 2.130 (Closes: #916429)
  * Standard-Version is now mandatory
  * warn (and fix) when an old compat value (i.e. < current - 1) is found

 -- Dominique Dumont <dod@debian.org>  Fri, 14 Dec 2018 17:40:21 +0100

libconfig-model-dpkg-perl (2.117) unstable; urgency=medium

  * don't crash when madison is down.
    Thanks to Andreas Tille for the heads-up
  * reduce verbosity when madison is down
  * improve dependency error messages
  * support arch qualifier in dependency (Closes: #911756)
  * accept any dependency that contain a variable
    (See also #911756)

 -- Dominique Dumont <dod@debian.org>  Wed, 07 Nov 2018 14:51:37 +0100

libconfig-model-dpkg-perl (2.116) unstable; urgency=medium

  Many thanks to Cyrille Bollu for the work done on Dpkg model.

  [ Cyrille Bollu ]
  * Add support for Rules-Requires-Root field in debian/control file
    (Closes: 907410)

  [ Dominique Dumont ]
  * add t/model_test.d/README.md file
  * add debian/tests/pkg-perl/use-name file
  * control: declare compliance with policy 4.2.1
  * add Cyrille Bollu as contributor

 -- Dominique Dumont <dod@debian.org>  Fri, 14 Sep 2018 10:27:34 +0200

libconfig-model-dpkg-perl (2.115) unstable; urgency=medium

  * allow X*-Ruby-Version with ruby packages not maintained
    by Debian Ruby team.
    Thanks to Andreas Tille for the idea (Closes: 903905)

 -- Dominique Dumont <dod@debian.org>  Fri, 20 Jul 2018 16:57:28 +0200

libconfig-model-dpkg-perl (2.114) unstable; urgency=medium

  * Store my_config in ~/.config/config-model/dpkg-meta.yml.
    dpkg-meta data from old locations (~/.dpkg-meta.yaml and
    ~/.local/share/.dpkg-meta.yml) are migrated and the old
    files are removed. (Closes: 899337)
  * Compute Standard-Version with Lintian::Data file.
    Thanks to Andreas Tille for the idea (Closes: 903220)
  * control: remove versioned dependency on
    libsoftware-licensemoreutils-perl

 -- Dominique Dumont <dod@debian.org>  Sun, 15 Jul 2018 16:53:53 +0200

libconfig-model-dpkg-perl (2.113) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian policy 4.1.5
  * Set default Standards-Version to 4.1.5
  * Set Rules-Requires-Root to no

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 07 Jul 2018 15:35:22 +0200

libconfig-model-dpkg-perl (2.112) unstable; urgency=medium

  [ gregor herrmann ]
  * Dpkg/Control/Source.pl: add default Vcs-* values for the R pkg team.
    Thanks to Andreas Tille for the patch.

  [ Dominique Dumont ]
  * warn if Bug-Debian is just a bug number (with fix)
  * add libqt5opengl5-desktop-dev in virtual pkg list
  * remove doc about checking files read from STDIN
  * control: depends on libsoftware-licensemoreutils-perl >= 0.005
    instead of libsoftware-license-perl

 -- Dominique Dumont <dod@debian.org>  Sat, 30 Jun 2018 18:35:07 +0200

libconfig-model-dpkg-perl (2.111) unstable; urgency=medium

  [ gregor herrmann ]
  * Dpkg/Control/Source.pl: add default Vcs-* values for the Java team.
    Thanks to Andreas Tille for the bug report. (Closes: #897401)

  [ Dominique Dumont ]
  * added t/README.md
  * update link of warn message of Standards-Version
  * update testsuite and Tests doc in dpkg model
  * use file_path instead of deprecated io_handle (Closes: #897962)
    Thanks to Niko for the bug report.

 -- Dominique Dumont <dod@debian.org>  Sun, 06 May 2018 10:47:16 +0200

libconfig-model-dpkg-perl (2.110) unstable; urgency=medium

  [ Andreas Tille ]
  * Vcs-fields for Neurodebian team

  [ gregor herrmann ]
  * Bump debhelper compatibility level to 10.
  * debian/copyright: update a URL to the mailing list archive.
  * Mark alioth-based Vcs-{Arch,Bzr,Cvs,Hg,Svn} as invalid and reset them.
  * Add a test for the Neurodebian Vcs-* fixups.
    Thanks to Andreas Tille for the initial patch.
  * Test and fixups for Vcs-*: change from warn_unless to warn_if.
    Thanks to dod for the proposal to make this more readable.
  * Control/Source.pl: if $name and $email

  [ Dominique Dumont ]
  * use 'User' logger to warn about issues
  * tests check for log using log4perl_load_warnings
  * dpkg backend: place comment at start of line.
    Thanks to Andreas Tille for the detailed bug report (Closes: #896156)
  * control: BD-I on libconfig-model-tester-perl 3.006

 -- Dominique Dumont <dod@debian.org>  Mon, 30 Apr 2018 15:34:27 +0200

libconfig-model-dpkg-perl (2.109) unstable; urgency=medium

  * control: depends on libconfig-model-perl >= 2.122 (Closes: #896076)
    Thanks to Paul Gevers for reporting this issue.

 -- Dominique Dumont <dod@debian.org>  Thu, 19 Apr 2018 17:06:09 +0200

libconfig-model-dpkg-perl (2.108) unstable; urgency=medium

  Many people contributed to this release, I like that :-)
  Thank you all for your work

  [ gregor herrmann ]
  * Update Standards-Version to 4.1.4
  * Add fixups for the Vcs-* fields for the Debian PhotoTools team.
  * Bump debhelper compatibility level to 10.
  * debian/copyright: update a URL to the mailing list archive.
  * Add a test for the Neurodebian Vcs-* fixups.
    Thanks to Andreas Tille for the initial patch.

  [ Sebastiaan Couwenberg ]
  * Add Vcs-* fixups for r-cran-* packages.
  * Vcs-*: sort package name based checks before the maintainer based checks

  [ Andreas Tille ]
  * Vcs-fields for Neurodebian team

  [ Dominique Dumont ]
  * fix warning in bump-dep-version script (req cme 1.027)
  * set debhelper dependency like >= 9~ (Closes: #894392)
  * Fix call to Lintian to check debhelper relation
  * show XS-Ruby-Versions when Maintainer is ruby team (Closes: #888949)
  * fix dependency arch parser for s390x (Thanks Andreas for the heads-up)
  * issue a warning instead of an error when Maintainer is empty

 -- Dominique Dumont <dod@debian.org>  Wed, 18 Apr 2018 18:00:17 +0200

libconfig-model-dpkg-perl (2.107) unstable; urgency=medium

  [ gregor herrmann ]
  * Use HTTPS in a couple of places, mostly for well-known Vcs-* values.
  * Add fixups for Vcs-{Browser,Git} for Debian Med and Debian Science
    teams.
  * Change warning messages about Vcs-*: Don't mention Alioth (or Salsa).
  * remove rules fixing anonscm url in Vcs-Git

  [ Dominique Dumont ]
  * remove rules fixing anonscm url in Vcs-Browser

 -- Dominique Dumont <dod@debian.org>  Mon, 02 Apr 2018 10:08:21 +0200

libconfig-model-dpkg-perl (2.106) unstable; urgency=medium

  [ Dominique Dumont ]
  * fix dependency list sort algorithm
  * test wrap-and-sort like dependency list sort
  * bump-dependency-version: pkg arg can now be a regexp
  * add set-vcs-git script (cme run)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Update Vcs-* values for the Debian Perl Group.
  * Allow m{^https://salsa.debian.org/} as canonical URLs
    for Vcs-Browser and Vcs-Git. (Closes: #889732)
  * Update Vcs-Git and Vcs-Browser URLs for ruby and
    javascript teams.

 -- Dominique Dumont <dod@debian.org>  Mon, 05 Mar 2018 18:55:40 +0100

libconfig-model-dpkg-perl (2.105) unstable; urgency=medium

  [ gregor herrmann ]
  * Update Standards-Version to 4.1.2 for the package, the Dpkg model, and
    the test suite.

  [ Salvatore Bonaccorso ]
  * Declare compliance with Debian policy 4.1.3
  * Set default Standards-Version to 4.1.3
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Dominique Dumont ]
  * sort dependencies like wrap-and-sort
  * update URL for policy upgrade checklist
  * fix links to debian policy (Closes: #880607)
  * add libuv-dev as non-official virtual package
  * Test::Control Depends: @ is upstream_default
  * control: depends on libconfig-model-perl >= 2.116

 -- Dominique Dumont <dod@debian.org>  Fri, 19 Jan 2018 21:11:12 +0100

libconfig-model-dpkg-perl (2.104) unstable; urgency=medium

  * fix Autopkgtest to handle several stanzas

 -- Dominique Dumont <dod@debian.org>  Wed, 22 Nov 2017 20:13:32 +0100

libconfig-model-dpkg-perl (2.103) unstable; urgency=medium

  * new feature: add support for Autopkgtest
  * fix utf8 handling of debian/*.yml files (Closes: #880368)
  * improve error message about missing license paragraph
  * control:
    * depends on libconfig-model-tester-perl >= 3.003
    * depends on libconfig-model-perl >= 2.114

 -- Dominique Dumont <dod@debian.org>  Mon, 13 Nov 2017 13:38:07 +0100

libconfig-model-dpkg-perl (2.102) unstable; urgency=medium

  * fix paste-license script

 -- Dominique Dumont <dod@debian.org>  Tue, 17 Oct 2017 13:05:58 +0200

libconfig-model-dpkg-perl (2.101) unstable; urgency=medium

  [ gregor herrmann ]
  * Bump (build) dependency on libconfig-model-perl to 2.112.

  [ Dominique Dumont ]
  * fix comment handling before Description (Closes: #877984)
  * accept missing Testsuite parameter when debian/tests/control
    files exists (Closes: #876856)
  * Take also into account kfreebsd only packages (Closes: #875955)
  * add paste-license script for cme run
  * Warn when no useful info is found in madison
  * control: depends on libconfig-model-perl >= 2.113

 -- Dominique Dumont <dod@debian.org>  Mon, 16 Oct 2017 13:09:05 +0200

libconfig-model-dpkg-perl (2.100) unstable; urgency=medium

  [ gregor herrmann ]
  * Accept autopkgtest-pkg-octave as a valid value for the Testsuite field.
    Thanks to Sébastien Villemot for the bug report. (Closes: #876534)

  [ Dominique Dumont ]
  * all models: upgrade old style backend parameter to new style with
    rw_config. This change was done with "cme meta save" using
    Config::Model::Itself 2.012
  * fix test failing with "Load command error"
    Fix a long standing error which is now detected due to
    Config::Model::Loader 2.111 changes.
  * Dpkg backend: move Standards-Version before Priority
  * keep Standards-Version in old place when writing control file
  * replace Priority extra with optional (Closes: #871423)
    only when Standards-Version >= 4.0.1
    Requires Config::Model 2.112 to work correctly
  * copyright: fix wrong warning about common BSD license (Tx Thomas)
  * control: depends on libconfig-model-perl >= 2.112

  [ Salvatore Bonaccorso ]
  * Set default Standards-Version to 4.1.1
  * Declare compliance with Debian policy 4.1.1

 -- Dominique Dumont <dod@debian.org>  Mon, 02 Oct 2017 19:27:16 +0200

libconfig-model-dpkg-perl (2.099) unstable; urgency=medium

  [ Martín Ferrari ]
  * Add support for autopkgtest-pkg-go and others.

  [ Dominique Dumont ]
  * test consecutive good and bad values for Testsuite
    (thanks Tincho)
  * update: skip debian changelog and copyright files
  * scanner: improve cleanup of (c) from owner line
  * scanner: use licensecheck --deb-fmt (Closes: #872350)
  * scanner: remove obsolete cleanup of license data
  * fix pack_copyright to handle multi line copyright statements
    that may come from debian/copyright

 -- Dominique Dumont <dod@debian.org>  Fri, 15 Sep 2017 13:17:37 +0200

libconfig-model-dpkg-perl (2.098) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Test debian/control files: Change priority field from extra to optional
  * Make optional priority the default

  [ Dominique Dumont ]
  * improve versioned dep warning message
  * cleanup old lower-than dependencies (Closes: #871422)
  * improve dual dependency handling and << requirement

  [ Salvatore Bonaccorso ]
  * Set default Standards-Version to 4.1.0
  * Declare compliance with Debian policy 4.1.0

 -- Dominique Dumont <dod@debian.org>  Tue, 22 Aug 2017 18:51:53 +0200

libconfig-model-dpkg-perl (2.097) unstable; urgency=medium

  * Use "Artistic or GPL-1+" for Perl license
  * fix error message when patch file is missing
  * Remove filter parameter of dependency version check
  * do not set Upstream-Name for native package
  * add watch parameter in dpkg model
  * control: depends on libconfig-model-perl >= 2.104

 -- Dominique Dumont <dod@debian.org>  Tue, 15 Aug 2017 10:42:15 +0200

libconfig-model-dpkg-perl (2.096) unstable; urgency=medium

  [ Dominique Dumont ]
  * Updated for Debian policy 4.0.0
  * Dependency: updated virtual package list (thanks to
    Paul Wise for spotting an error before release)

  [ Salvatore Bonaccorso ]
  * Set default Standards-Version to 4.0.0 in control model
  * control: Declare compliance with Debian policy 4.0.0

 -- Dominique Dumont <dod@debian.org>  Sat, 24 Jun 2017 19:43:14 +0200

libconfig-model-dpkg-perl (2.095) experimental; urgency=medium

  * fix 'cme run bump-dependency-version' script

 -- Dominique Dumont <dod@debian.org>  Sat, 10 Jun 2017 19:14:07 +0200

libconfig-model-dpkg-perl (2.094) experimental; urgency=medium

  * fix license split in short names (Closes: #863052)

 -- Dominique Dumont <dod@debian.org>  Wed, 24 May 2017 17:06:51 +0200

libconfig-model-dpkg-perl (2.093) experimental; urgency=medium

  * Dpkg Dependency:
    * show why a value was fixed with apply_fix
    * fix parse of 'foo|bar' dependency (Closes: #861061)
  * Copyright update:
    * abort optimisation when © years range is empty (Closes: #862368)
    * improve split copyright (Closes: #862368)
    * normalise existing copyright data (Closes: #862368)
  * add support for bugfiles (Closes: #692131)
  * cme run: add script bump-dependency-version
  * control: depends on libconfig-model-perl >= 2.101

 -- Dominique Dumont <dod@debian.org>  Sat, 20 May 2017 19:56:57 +0200

libconfig-model-dpkg-perl (2.092) experimental; urgency=medium

  * Add scripts that can be launched with 'cme run':
    * remove-uploader
    * update-my-copyright-year
    * add-me-to-uploaders
  * remove debug trace

 -- Dominique Dumont <dod@debian.org>  Fri, 21 Apr 2017 13:50:19 +0200

libconfig-model-dpkg-perl (2.091) experimental; urgency=medium

  First, some improvement to help packaging from scratch with 'cme edit
    dpkg':
    * use directory name as package source name default
    * default copyright upstream name is found from control source data
    * add default value for debian/rules (based on debhelper)
    * tell user to use "reportbug" in case of missing parameter

  Add support for more Dpkg parameter:
    * debian/*.install files
    * debian/not-installed file
    * package scripts
    * Built-Using parameter
    * Build-Depends-Arch parameter
    * Build-Conflicts-Arch parameter
    * changelog (with a dummy default value)

  Improvement related to copyright updates:
    * no longer use licensecheck --check option (does not work anymore)
    * scanner: skip files which are not in check list
    * scanner: improve check/ignore doc
    * scanner: scan by default .in .am .m4 files and man pages
    * scanner: ignore some debian files

  Bug fix:
    * fix broken 'cme update dpkg' command

  * copyright: updated of Dominique Dumont
  * control: depends on libconfig-model-perl 2.099
  * control: depends on libconfig-model-tester-perl 2.060

 -- Dominique Dumont <dod@debian.org>  Wed, 08 Mar 2017 19:27:43 +0100

libconfig-model-dpkg-perl (2.090) unstable; urgency=medium

  * fix bogus change shown by cme fix
  * fix patch writer: write description first

 -- Dominique Dumont <dod@debian.org>  Wed, 18 Jan 2017 18:28:23 +0100

libconfig-model-dpkg-perl (2.089) unstable; urgency=medium

  * remove "use XXX" (used for debugging)

 -- Dominique Dumont <dod@debian.org>  Fri, 13 Jan 2017 14:44:41 +0100

libconfig-model-dpkg-perl (2.088) unstable; urgency=medium

  * add long overdue contributor section (thanks all !)
  * handle comments in list parameter (Closes: #849500)

 -- Dominique Dumont <dod@debian.org>  Fri, 13 Jan 2017 13:56:08 +0100

libconfig-model-dpkg-perl (2.087) unstable; urgency=medium

  * Team upload.

  [ Josh Triplett ]
  * Add sections for Rust, JavaScript, and Go. (Closes: #847534)

 -- gregor herrmann <gregoa@debian.org>  Fri, 09 Dec 2016 16:38:04 +0100

libconfig-model-dpkg-perl (2.086) unstable; urgency=medium

  * improve warning message for VCS URL (Closes: #842371)
  * show file name in syntax error message
  * Store unexpected patch line in patch description (help convert
    git diff in dep-3 header)
  * skip comment in debian/copyright with -force option (to cope with
    copyright generated by dh_make)
  * write patch description body without synopsis (Closes: #842391)
  * relevant pkg version is found in arch all or amd64 (Closes: #841667)

 -- Dominique Dumont <dod@debian.org>  Mon, 05 Dec 2016 19:53:01 +0100

libconfig-model-dpkg-perl (2.085) unstable; urgency=medium

  * Allow 'cme check' to check for unused license in
    debian/copyright (enabled from cme 1.014)
  * control:
    * update BD-I libconfig-model-tester-perl >= 2.057

 -- Dominique Dumont <dod@debian.org>  Mon, 19 Sep 2016 16:48:18 +0200

libconfig-model-dpkg-perl (2.084) unstable; urgency=medium

  * control model improvements:
    * Add doc for pkg relation fields
    * Add link to debian policy in Std-Version doc
    * improved Std-Version warning message with a local link
      to upgrade procedure (Tx to Holger Levsen for the idea)
  * fix pan copyright test (Closes: #837261)
  * control: depends on libconfig-model-perl >= 2.090

 -- Dominique Dumont <dod@debian.org>  Mon, 12 Sep 2016 19:12:37 +0200

libconfig-model-dpkg-perl (2.083) unstable; urgency=medium

  * Update control/Testsuite only when running 'cme fix'

 -- Dominique Dumont <dod@debian.org>  Mon, 05 Sep 2016 13:29:23 +0200

libconfig-model-dpkg-perl (2.082) unstable; urgency=medium

  * Major bug fix:
    * debian/rules was written with mode 0644.
      This is fixed, rules is now written with mode 0755

  * Improvements:
    * 'cme update dpkg' now remove unused licenses.

 -- Dominique Dumont <dod@debian.org>  Fri, 22 Jul 2016 13:51:41 +0200

libconfig-model-dpkg-perl (2.081) unstable; urgency=medium

  * Bug fixes:
    * cme update ©: really delete obsolete dir entries
    * delete files in debian/ once all data is removed
  * Model changes:
    * compute Maintainer default from  DEBNAME and DEBEMAIL
    * Section default value is 'misc'
    * Priority default value is 'extra'
    * improve error message about © Format url
    * Remove redundant match test for © Format
  * control:
    * BD-I on libconfig-model-perl 2.088
    * Depends on licensecheck instead of devscripts (Closes: #830663)
  * add CONTRIBUTE.md in doc

 -- Dominique Dumont <dod@debian.org>  Mon, 11 Jul 2016 13:14:51 +0200

libconfig-model-dpkg-perl (2.080) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Force HTTPS transport protocol for the recommended URL.
    Force HTTPS transport protocol or the recomended format specification
    URL in debian/copyright.

  [ Dominique Dumont ]
  * Dependency: fix build profile pass-through (Closes: #826573)
  * Check/fix Debian BTS url in patch header
  * control: removed version dep of libmodule-corelist-perl (cme)

 -- Dominique Dumont <dod@debian.org>  Sat, 11 Jun 2016 19:20:19 +0200

libconfig-model-dpkg-perl (2.079) unstable; urgency=medium

  * control:
    * updated dep version libconfig-model-perl -> 2.83
      (required by usage of auto_delete parameter)
    * cleanup of dual life deps (cme)

 -- Dominique Dumont <dod@debian.org>  Sun, 01 May 2016 18:08:40 +0200

libconfig-model-dpkg-perl (2.078) unstable; urgency=medium

  [ gregor herrmann ]
  * Fix typo in error message. (Closes: #821327)

  [ Dominique Dumont ]
  * Auto delete empty yaml files used by cme (fix FTBS)
    (set auto_delete to 1 in the rw backend for
     copyright-scan-patterns.yml and fill.copyright.blanks.yml)

 -- Dominique Dumont <dod@debian.org>  Sat, 30 Apr 2016 20:57:57 +0200

libconfig-model-dpkg-perl (2.077) unstable; urgency=medium

  * Team upload.

  [ Dominique Dumont ]
  * License model: replace BSD summary with full text
  * debian/control: depend on libsoftware-license-perl >= 0.103010-3~ to get
    BSD full text instead of summary. Without this dependency the fix
    implemented in previous commit won't work (and the fix will loop until
    C::M::Value gives up)

  [ Salvatore Bonaccorso ]
  * Set default Standards-Version to 3.9.8
  * Declare compliance with Debian policy 3.9.8

  [ gregor herrmann ]
  * Fix autopkgtest. Set HOME in debian/tests/pkg-perl/smoke-env.
    Needed by the smoke test for t/dependency-check.t.

 -- gregor herrmann <gregoa@debian.org>  Wed, 06 Apr 2016 17:05:40 +0200

libconfig-model-dpkg-perl (2.076) unstable; urgency=medium

  * Fix hang due to removal of madison gci script from qa.debian.org.
    The dependency checker now use new madison api from
    api.ftp-master.debian.org
  * Fixed syntax error message of Patch parser
  * Fixed URL given at the end of cme update dpkg-copyright

 -- Dominique Dumont <dod@debian.org>  Sat, 05 Mar 2016 14:32:41 +0100

libconfig-model-dpkg-perl (2.075) unstable; urgency=medium

  Copyright scanner:
  * license can be overridden with fill.copyright.blank
  * Improved license cleanup (Closes: #815756)

  Copyright merge and update:
  * Abort when extracted license data is corrupted
  * be less verbose: don't show meaningless changes

  Dpkg editor/checker:
  * copyright checker complain only about vanilla MIT license,
    i.e. a license short name like MIT-joe-variant is fine
  * Dpkg model: added fix.copyright.scanner parameter, which can
    be used with 'cme update dpkg'

 -- Dominique Dumont <dod@debian.org>  Sat, 27 Feb 2016 19:00:11 +0100

libconfig-model-dpkg-perl (2.074) unstable; urgency=medium

  Copyright scanner:
  * don't skip files without info. Missing info can be added in
    debian/fill-copyright-blanks.yml (with patterns)
  * accept comment field in copyright-scan-patterns
  * accepted patterns are added to licensecheck's default
    list

  Copyright merge and update:
  * better handle errors in fix.scanned.copyright file
  * merge old directory data into new file data
  * preserve comments during copyright upgrades

  Dpkg editor/checker:
  * warn (and fix) if Vcs-Git uses http transport
  * cme edit dpkg: added fill-copyright-blanks parameter
  * cme edit dpkg: added scan-copyright-patterns parameter

  Debian files:
  * control: added forgotten Depends on libyaml-perl
  * control: depends in libconfig-model-perl >= 2.079
  * copyright: updated. Added a comment about code copied
    from licensecheck2deb

 -- Dominique Dumont <dod@debian.org>  Sun, 21 Feb 2016 12:05:17 +0100

libconfig-model-dpkg-perl (2.073) unstable; urgency=medium

  [ Dominique Dumont ]
  * Scanner: skip debian changelog and copyright files
  * Scanner: can specify files to scan or ignore.
  * Dpkg control source model: cme fix Vcs-Git url will use https://

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI
  * Set default Standards-Version to 3.9.7
  * Declare compliance with Debian policy 3.9.7

 -- Dominique Dumont <dod@debian.org>  Tue, 02 Feb 2016 09:10:32 +0100

libconfig-model-dpkg-perl (2.072) unstable; urgency=medium

  * Copyright: Show a warning when fixing common keyword issues
    (e.g. when converting File->Files, licence->license)
    (This fix tests which broke with Config::Model 2.077)
  * Removed calls to Exception::Class->caught.
  * copyright: updated years

 -- Dominique Dumont <dod@debian.org>  Sun, 24 Jan 2016 12:34:16 +0100

libconfig-model-dpkg-perl (2.071) unstable; urgency=medium

  * control model: allow user defined fields (Closes: #810023)

 -- Dominique Dumont <dod@debian.org>  Thu, 07 Jan 2016 19:10:01 +0100

libconfig-model-dpkg-perl (2.070) unstable; urgency=medium

  * scan-copyright (i.e. copyright scanner):
    * fix doc issues (Tx Jens Reyer)
    * show skipped files
    * mentions fill.copyright.blanks.yml in doc (Closes: #804783)
    * scanner: assume all source files are utf-8
    * add the possibility to override garbled copyright info which
      can be used when the above assumption is wrong.
  * Config::Model::Dpkg::Copyright doc:
    * refer to scanner doc for detail on how to fill info blanks
    * Inform user about limitation and work-around
  * cme update dpkg-copyright:
    * better preserve dir info during update
    * set undefined © to "UNKNOWN" to avoid fatal errors during update
  * cme check: raise a warning if copyright or license contains 'unknown'
  * Build.PL: fix generation of pod doc from model files
  * deliver new bash completion file as cme-dpkg-patch
  * remove obsolete bash completion conffile
  * control: depends on devscripts >= 2.15.10

 -- Dominique Dumont <dod@debian.org>  Sat, 02 Jan 2016 19:43:37 +0100

libconfig-model-dpkg-perl (2.069) unstable; urgency=medium

  * Dependency checker:
    * updated list of known virtual packages
  * copyright scanner:
    * improved © cleanup
    * user can now provide missing information before © information
      is coalesced. This should improve © update on older software.
      See Config::Model::Dpkg::Copyright man page for more details.
      (Closes: #795195)
  * Copyright checker:
    * warn and fix trailing slashes in Files-Excluded
    * warn and fix MIT license to Expat (Closes:  #797321)
    * warn and fix BSD3 license (Closes:  #797322)
    * during update, also override directory data with info found in files...
  * Copyright parser:
    * improved Files cleanup
    * trim traling white space from key parameter like Files
  * Patch model: Added Bug-Debian field
  * added TODO file (help welcome)

 -- Dominique Dumont <dod@debian.org>  Sat, 17 Oct 2015 18:10:35 +0200

libconfig-model-dpkg-perl (2.068) unstable; urgency=medium

  * Dpkg dependency: make sure that debhelper shows a warning when
    compat is increased (in interactive mode like cme edit dpkg)
  * control: added dep libtext-levenshtein-damerau-perl. Installing this
    dependency enable cme to warn about typos in permissive files
    like debian/copyright (Closes: #789568)
  * source options: advise user to log a bug in case of missing parameter

 -- Dominique Dumont <dod@debian.org>  Fri, 24 Jul 2015 16:45:22 +0200

libconfig-model-dpkg-perl (2.067) unstable; urgency=medium

  Major bug fixes release: previous version removed too many
  directory entries. This version fixes this problem while being
  able to merge existing directory entries with data extracted from
  files (including LICENSE, COPYING or README files)

  Also fixed:
  * C::M::Dpkg::Dependency: escape '{' in regexp (Closes: #789841) ...
  * Scanner::__squash_copyrights_years: also handle last entry of
    $copyrights_by_id...

 -- Dominique Dumont <dod@debian.org>  Fri, 03 Jul 2015 20:13:44 +0200

libconfig-model-dpkg-perl (2.066) unstable; urgency=medium

  [ gregor herrmann ]
  * Add Build-Conflicts-Indep fields to Dpkg::Control::Source model.
  * Dpkg::Control::Source model: warn on duplicates in Build-
    Conflicts{,-Indep}.
  * Update descriptions and summaries for Dpkg::Control::Source model.

  [ Dominique Dumont ]
  * updated © years in model doc
  * Dpkg::Copyright doc:
    + added explanation on merge mechanism in pod doc
    + added scary example to modify copyright content with cme

 -- Dominique Dumont <dod@debian.org>  Mon, 15 Jun 2015 12:45:10 +0200

libconfig-model-dpkg-perl (2.065) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Correct name of licensecheck utility.
    Thanks to Andreas Metzler (Closes: #784838)

  [ Dominique Dumont ]
  * Dpkg Control: can now fix formatting of Description when more
    than one paragraph has too long lines
  * Dependency:
    * added stretch and buster to the list of known debian releases
    * die if something went wrong while finding the ideal dependency
      for an alternate dependency
    * preserve Perl's versioned dep if the alternate lib has no
      versioned dependency.
  * Copyright update: can remove old directory entries when needed

 -- Dominique Dumont <dod@debian.org>  Wed, 20 May 2015 18:46:08 +0200

libconfig-model-dpkg-perl (2.064) unstable; urgency=medium

  * Fixed scanner bugs found while trying 'cme update dpkg-copyright' on
    icedove files:
    * don't croak on utf8 encoding errors
    * can use $ENV{COPYRIGHT_SCANNER_INPUT} as input for tests..
    * fix parsing of multi copyright owners
    * provide better error message for invalid (c) year ranges
    * improved copyright cleanup

 -- Dominique Dumont <dod@debian.org>  Fri, 08 May 2015 18:45:47 +0200

libconfig-model-dpkg-perl (2.063) unstable; urgency=medium

  * Copyright scanner:
    * to cope with owner containing 'f00' (Closes: #783932)
    * handle ranges like 2010-12 or 2002-3 (Closes: #783928)
  * Dpkg::Patch: fix handling of Subject body expressed as
    free form text below header.
  * Updated list of supported arch in C::M::Dpkg::Dependency
    (Closes: #782995)
  * control: added build-dep on libyaml-tiny-perl

 -- Dominique Dumont <dod@debian.org>  Fri, 08 May 2015 10:24:03 +0200

libconfig-model-dpkg-perl (2.062) experimental; urgency=medium

  * control: added missing deps libarray-intspan-perl
    and libexporter-lite-perl (Closes: #782010)

 -- Dominique Dumont <dod@debian.org>  Tue, 07 Apr 2015 08:21:48 +0200

libconfig-model-dpkg-perl (2.061) experimental; urgency=medium

  * Improved 'cme update dpkg-copyright' command:
    * update can now start from scratch
    * improved handling of fix.scanned.copyright file
    * cleanup "by" and "all rights reserved" from copyrights
    * globally squash copyright that have same owners and licenses
    * don't remove correct entries while updating...

  * Other copyright model changes:
    * improve error message when copyright header is missing
    * issue a warning when boilerplate license is found

  * copyright: added entry for lib/Dpkg/Copyright/Scanner.pm
    Thanks to Jonas for agreeing to LGPL-2.1+

  * control:
    * updated dep version of libconfig-model-perl and
      libconfig-model-tester-perl
    * added runtime dependency on devscripts (for licensecheck)
    * udpated description for 'cme update dpkg'

 -- Dominique Dumont <dod@debian.org>  Sat, 04 Apr 2015 11:27:37 +0200

libconfig-model-dpkg-perl (2.060) experimental; urgency=medium

  * New feature:
    + added scan-copyright command: Scan source file and print lines for
      debian/copyright files. This command is indenpendant of Config::Model
      and may land in its own package or in devscript if required.
    + new 'cme update dpkg' command that uses scan-copyright to update
      the content on debian/copyright from the source files.
      See Config::Model::Dpkg::Copyright documentation for more details.

  * Model changes:
    * Dpkg::Source: 'cme migrate' sets TestSuite to autopkgtest-pkg-perl
      for pkg-perl team packages

  * Perf improvement of dependency checks:
    * C::M::Dpkg::Dependency: do not use regexp to find Perl module
      in CoreList...

  * Minor changes:
    * Use show_message instead of say for most user messages
    * debian/control: dep on libconfig-model-perl 2.066
    * debian/copyright: updated year

 -- Dominique Dumont <dod@debian.org>  Fri, 20 Feb 2015 13:16:24 +0100

libconfig-model-dpkg-perl (2.059) unstable; urgency=medium

  * Copyright license text (Closes: #767494):
    * fix (really) automatic import of license summary or text
    * suppress misleading warning

 -- Dominique Dumont <dod@debian.org>  Fri, 31 Oct 2014 14:06:18 +0100

libconfig-model-dpkg-perl (2.058) unstable; urgency=medium

  * Team upload.
  * Trigger warning 'Synopsis is too long.' only for >= 80 characters.
    Cf. Debian Policy 3.4.1, DEP3, and lintian.

 -- gregor herrmann <gregoa@debian.org>  Fri, 10 Oct 2014 16:38:59 +0200

libconfig-model-dpkg-perl (2.057) unstable; urgency=medium

  * Dpkg::Dependency: support new build profile syntax.
    Tx Johannes Schauer (Closes: #763772)

 -- Dominique Dumont <dod@debian.org>  Tue, 07 Oct 2014 21:09:03 +0200

libconfig-model-dpkg-perl (2.056) unstable; urgency=medium

  [ Dominique Dumont ]
  * Dpkg::Copyright: fix automatic import of license summary or text
  * control:
    * depends on liconfig-model-perl 2.061
    * depends on libsoftware-license-perl (>= 0.103010-3~)
    * removed versioned dep on libconfig-model-tester-perl

  [ gregor herrmann ]
  * dpkg-control model: allow autopkgtest-pkg-{ruby,perl}
    in Testsuite header.
  * Use autopkgtest-pkg-ruby in tests.

  [ Dominique Dumont ]
  * Fix broken Vcs-Git and Vcs-Browser computed default values
  * Dpkg::Dependency: Warn and fix if a dual dependency is used with
    a module that is or will no longer be dual life

  [ gregor herrmann ]
  * Fix some occurences of libmodule-build-perl versions in test suite.
  * Mark package as autopkgtest-able.

 -- Dominique Dumont <dod@debian.org>  Sat, 27 Sep 2014 21:05:05 +0200

libconfig-model-dpkg-perl (2.054) unstable; urgency=medium

  * Team upload.

  * Set default Standards-Version to 3.9.6 in dpkg-control model.
    Update tests as well.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Sat, 20 Sep 2014 21:47:23 +0200

libconfig-model-dpkg-perl (2.053) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/control: update Module::Build dependency.

  [ Dominique Dumont ]
  * dpkg copyright format: accepts http and https url and default
    to https (Closes:  #756876)
  * Copyright model: Accept multi-line string for Files-Excluded
    field (Closes: #757812)

 -- Dominique Dumont <dod@debian.org>  Mon, 08 Sep 2014 20:56:15 +0200

libconfig-model-dpkg-perl (2.052) unstable; urgency=medium

  * Team upload.

  [ Paul Wise ]
  * Use the correct hostname for the ftp-master changelog service

  [ Salvatore Bonaccorso ]
  * Fix URL in description of the XS-Testsuite field.
    Adjust file name to README.package-tests.rst and switch to URL based on
    the cgit web frontend on alioth.
  * Fix URL in description of the Testsuite field.
    Adjust file name to README.package-tests.rst and switch to URL based on
    the cgit web frontend on alioth.
  * Recommend Vcs-Browser field values pointing to cgit web frontend.
    Recommend the cgit based URLs for the Vcs-Browser field instead of the
    gitweb based URLs.
  * Adjust Vcs-Browser URLs in testsuite to cgit web frontend based URLs

  [ Dominique Dumont ]
  * Provide Vcs-Git and Vcs_browser values for pkg-javascript team
  * added missing "memory cycle" test label
  * Fix expected Vcs-Browser URL

  [ Salvatore Bonaccorso ]
  * Strip appended ';a=summary' if the cgit webinterface is used.
    Thanks to Gregor Herrmann for the patch
  * Update Vcs-Browser URL to cgit web frontend
  * Switch http to https URLs in dpkg-control exampes in testsuite

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 17 Aug 2014 13:59:51 +0200

libconfig-model-dpkg-perl (2.051) unstable; urgency=medium

  * Control Binary model: added Build-Profiles (Tx Peter Pentchev)
  * added TestSuite parameter (Closes: #752149)
  * Patch model:can now fix synopsis when using 'cme fix patch my-great-patch'
  * fix typo in bash completion file name (which broke completion for
    'cme edit patch')
  * rules: added --with bash-completion

 -- Dominique Dumont <dod@debian.org>  Sat, 19 Jul 2014 18:18:28 +0200

libconfig-model-dpkg-perl (2.050) unstable; urgency=medium

  * Dpkg::Patch:
    * Author, From, Reviewed-by and Ack-by fields are now list
    + added missing inline documentation

 -- Dominique Dumont <dod@debian.org>  Sun, 15 Jun 2014 18:52:58 +0200

libconfig-model-dpkg-perl (2.049) unstable; urgency=medium

  * Dpkg::Copyright:
    * fixed Files-Excluded type and updated doc
    * consider license exception as part of license short
      name (Closes: #748501)
  * Dpkg::Patch(es):
    * read/write patches in utf8 mode
    * skip non dep-3 patches when cme is run with -force option
      (Closes: 748502)
    * added bash completion for 'cme edit|fix|check dpkg-patch'
  * control:
    * build depends on libconfig-model-tester 2.048 to test
      tolerance of bad patch
    * added BDI on libpath-tiny-perl

 -- Dominique Dumont <dod@debian.org>  Sat, 14 Jun 2014 14:37:59 +0200

libconfig-model-dpkg-perl (2.048) unstable; urgency=medium

  + Added a patch (DEP-3) editor/checker:
    * check all patches with 'cme check dpkg-patches'
    * check one patch with 'cme check dpkg-patch debian/patches/foo'
      or 'cme check dpkg-patch foo'
    * the edit command can also be used. E.g. 'cme edit dpkg-patch foo'
  * control:
    - removed dependency on libnamespace-autoclean-perl
    * depends on libconfig-model-perl 2.055
    + added depends on liburi-perl (not used during tests)
  * fix warnings by removing last traces of async calls
  * fix test (removed calls to removed functions)

 -- Dominique Dumont <dod@debian.org>  Mon, 05 May 2014 19:23:55 +0200

libconfig-model-dpkg-perl (2.047) unstable; urgency=medium

  * Model changes:
    * Dpkg::Dependency: added libgl-dev and libtiff-dev to virtual packages
    * Dpkg::Control: removed experience attribute
  * Dpkg::Patch backend: leave a space after colon when writing back
    patch header. I.e. 'Field: foo' (thankd gregoa for the heads-up)
  * Removed all asynchronous code from Dpkg::Dependency. The code should be
    easier to understand.
  * control: removed deps on libanyevent*. Added dep on libwww-perl

 -- Dominique Dumont <dod@debian.org>  Sun, 20 Apr 2014 14:16:33 +0200

libconfig-model-dpkg-perl (2.046) unstable; urgency=medium

  * Dependency checker: use escape_uri on package name to build the URL
    used to query madison (Closes: #742302)
  * Dpkg::Copyright model:
    + added Files-Excluded parameter (the one used by uscan)
    * check consistency of global License parameter
  * Config::Model::Dpkg::Dependency: no longer complain about *known*
    virtual packages (i.e. mostly virtual packages listed in packaging
    manual)
  * Config::Model::Dpkg: added 'cme modify dpkg' examples in pod doc
  * control: BD-I on libconfig-model-perl 2.053

 -- Dominique Dumont <dod@debian.org>  Wed, 26 Mar 2014 12:25:04 +0100

libconfig-model-dpkg-perl (2.045) unstable; urgency=medium

  * Control model: set up value for Vcs-Git and Vcs-Browser for
    pkg-ruby-extra team
  * allow config file override for dpkg-control and dpkg-copyright
    (Closes: #739387). See Config::Model::Dpkg(3pm) for explanations
  * control: depends on libconfig-model-perl >= 2.050 for the config
    file overrride

 -- Dominique Dumont <dod@debian.org>  Sat, 01 Mar 2014 19:48:26 +0100

libconfig-model-dpkg-perl (2.044) unstable; urgency=medium

  * section parameter:
    * fix check to cope with section like 'gnu-r' (Closes: #735308)
  * dependency parameters:
    * fix warnings issued when a alternate dep contains an unknown/virtual
      package
    * compute cache expiry date only once
    * added global function cache_info_from_madison
  * source Vcs-* parameters:
    * warn (and fix) if Vcs-* field is not a recommended URL
     (Closes: #735309)
    * fix Vcs-Git url substitution (thanks Andreas)
  * Backend Dpkg Control: query info for all package in one call to
    madison. (Closes: #735000)
  * debian/copyright: updated year

 -- Dominique Dumont <dod@debian.org>  Sat, 01 Feb 2014 11:46:55 +0100

libconfig-model-dpkg-perl (2.043) unstable; urgency=low

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Set Standards-Version to 3.9.5 for the dpkg-control model
  * Bump Standards-Version to 3.9.5

  [ Dominique Dumont ]
  * copyright backend: improved error message

  [ gregor herrmann ]
  * Remove version from libconfig-model-tester-perl build dependency.
    Nothing older in the archive; found with the help of this very
    package.

 -- gregor herrmann <gregoa@debian.org>  Fri, 22 Nov 2013 02:55:21 +0100

libconfig-model-dpkg-perl (2.042) unstable; urgency=low

  [ Bas Couwenberg ]
  * Homepage is also allowed for binary packages.
  * XB-Python-Version is allowed but deprecated for binary packages.

  [ Dominique Dumont ]
  * copyright backend: improved error message
  * Added doc to 'patch' dpkg parameter
  * skip comments in debian/series files (Closes: #725147)

 -- Dominique Dumont <dod@debian.org>  Sun, 13 Oct 2013 20:56:27 +0200

libconfig-model-dpkg-perl (2.041) unstable; urgency=low

  * fix new dual life dependency corner case uncovered by last corner
    case fix

 -- Dominique Dumont <dod@debian.org>  Sat, 28 Sep 2013 09:46:59 +0200

libconfig-model-dpkg-perl (2.040) unstable; urgency=low

  * All: fix white space and extraneous line issue (Closes: #721832)
  * dpkg-copyright:
    * skip empty-ish license
    * append second occurrence of an entry (Closes: #721670)
    * convert File section into Files (Closes: #721672)
  * dpkg-control:
    + added support for XS-Testsuite (Thanks Stig) (Closes: #721663)
    * added tests for xs-testsuite (Thanks Stig)
  * control: BD on libconfig-model-tester >= 2.044 to test white space fix

 -- Dominique Dumont <dod@debian.org>  Sun, 08 Sep 2013 21:03:40 +0200

libconfig-model-dpkg-perl (2.039) unstable; urgency=low

  * Team upload.

  [ Dominique Dumont ]
  * Dpkg::Copyright: clean up comma from Files line

  [ gregor herrmann ]
  * Switch order of alternative (build) dependencies after Perl 5.18
    upload to unstable.
  * Remove version from libconfig-model-tester-perl build dependency.
    Nothing older in the archive. This fix was brought to the audience by
    cme and libconfig-model-dpkg-perl itself.

 -- gregor herrmann <gregoa@debian.org>  Mon, 02 Sep 2013 21:36:44 +0200

libconfig-model-dpkg-perl (2.038) unstable; urgency=low

  * Fix alternate dependency corner case (Closes: #719225)
  * Dpkg Source model: add XS-AutoBuild field (Closes: #719753)
  * Dpkg Control Binary model: fixed pod error in embedded doc
  * dpkg control backend: improved error message for unknown flags
  * Dpkg model: added XS-Ruby-Versions and XB-Ruby-Versions fields
   (Closes: #713053)
  * control:
    + added libconfig-model-tester-perl dependency.
    * Clean up other dependencies
    * up-to-date libmodule-corelist-perl is now required instead
      of recommended to ensure better resulst with Perl dual-life
      package
    * updated description
  - removed obsolete lintian override

 -- Dominique Dumont <dod@debian.org>  Sun, 25 Aug 2013 17:17:05 +0200

libconfig-model-dpkg-perl (2.037) unstable; urgency=low

  * Dpkg Source model: fixed typo (thanks Daniel)
  * Source Option model: added compression and compression-level
    parameters (thanks Daniel)
  * doc: added BUGS section
  * Dependency parser:
    * rewrote grammar to give better error message. Extracted
      complex treament from grammar. Fixed bugs related to arch parsing
      (Closes: #707565)
    * trap mismatched '!' in dependency arch declaration
  * Patch backend: replaced 'given...when' with good old 'if'
    (Closes: #709783)

 -- Dominique Dumont <dod@debian.org>  Mon, 20 May 2013 18:55:09 +0200

libconfig-model-dpkg-perl (2.036) unstable; urgency=low

  * Dependency:
    * fix bug to save all info from rmasdison in cache
    * fix bug that blocked cme during request to rmadison, now
      rmadison requests are done again in parrallel
  * Dpkg::Source: DM-Upload-Allowed is deprecated. This parmeter will
    be removed when running 'cme migrate dpkg' (or cme edit)
  * Dpkg Control backend: avoid double deprecation warnings

 -- Dominique Dumont <dod@debian.org>  Sat, 27 Apr 2013 16:51:13 +0200

libconfig-model-dpkg-perl (2.035) unstable; urgency=low

  * Removed deps on Any::Moose. Use Mouse now
  * control:
    - removed deps on libany-moose-perl
    + added deps on libnamespace-autoclean-perl
  * Copyright model: parse correctly license short
    name when a comma is appended to name (Closes: #692131)

 -- Dominique Dumont <dod@debian.org>  Mon, 22 Apr 2013 13:48:56 +0200

libconfig-model-dpkg-perl (2.034) unstable; urgency=low

  * Dpkg Backend: removed AnyEvent code that blocked until
    http request were done. This is now handled by Config::Model
  * Dependency: use asynchronous store
  * control: depends on libconfig-model-perl >= 2.030
  * copyright: updated years

 -- Dominique Dumont <dod@debian.org>  Sun, 24 Mar 2013 19:28:16 +0100

libconfig-model-dpkg-perl (2.033) unstable; urgency=low

  * bail out of of check_perl_lib_dep if the version contains a
    variable (Closes: #698876) (Tx gregoa for the help)
  * Allow version with variables and appended stuff (e.g. ${foo}.1~ )
    (Closes: #702792)

 -- Dominique Dumont <dod@debian.org>  Thu, 14 Mar 2013 19:25:31 +0100

libconfig-model-dpkg-perl (2.032) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Fix typos in package description.
    Thanks to Stephen Kitt <steve@sk2.org> (Closes: #696630)
  * Correct regexp for allowed package names.
    According to Debian policy "5.6.1 Source", package names must consist
    only of lower case letters (a-z), digits (0-9), plus (+) and minus (-)
    signs, and periods (.). They must be at least two characters long and
    must start with an alphanumeric character.
    Thanks to Stephen Kitt <steve@sk2.org> (Closes: #696631)
  * Add support for Built-Using field (Closes: #696768)
  * Expand testsuite to check for binary package using Built-Using field
  * Add description for Built-Using field
  * Warn if Built-Using field is not filled via substvars.
    Add a regular expression matching the allowed variable substitution
    names for Built-Using field and warn unless it matches. See
    deb-substvars(5).
    Expand the built-using test using a 'fake' variable substitution.
  * Fix FTBFS if no writable $HOME is available during tests.
    Add overrides for dh_clean and dh_auto_test to provide a writable $HOME
    during tests.
  * Use posix character classes for warn_unless regular expression
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)

  [ Dominique Dumont ]
  * manifest.skip: ignore HOWTO.release, *.bak, *.tar.gz
  * HOWTO.release: added instructions to clean repo
  * control source model: fix computed value for VCS-Git to use
    anonscm.debian.org
  * removed old changelog
  * Build.PL: updated repo URL (for CPAN)
  * MANIFEST.SKIP: updated to ship debian/changelog to CPAN
  * fix build-depends-on-1-revision lintian warning

 -- Dominique Dumont <dod@debian.org>  Wed, 09 Jan 2013 18:46:41 +0100

libconfig-model-dpkg-perl (2.031) unstable; urgency=low

  * adapted Dpkg copyright model to new libsoftware-license-perl
    (Closes: #696140)
  * Dependency: check if dependency is provided within the control
    file (Closes: #692849)
  * control: depends on libsoftware-license-perl ( >= 0.103005-1)

 -- Dominique Dumont <dod@debian.org>  Mon, 17 Dec 2012 19:44:45 +0100

libconfig-model-dpkg-perl (2.030) unstable; urgency=low

  * Team upload.
  * Set Standards-Version to 3.9.4 for the dpkg-control model.
  * Bump Standards-Version to 3.9.4 for the package itself.

 -- gregor herrmann <gregoa@debian.org>  Sat, 03 Nov 2012 15:44:57 +0100

libconfig-model-dpkg-perl (2.029) unstable; urgency=low

  * Team upload.
  * Add missing Build-Depends-Indep on lintian.
    Fix FTBFS "Can't locate Lintian/Relation.pm in @INC" during tests.
    Thanks to Angel Abad <angel@debian.org> (Closes: #691905)
  * Fix spelling-error-in-copyright lintian warning.
    Fix "spelling-error-in-copyright GNU Lesser Public License GNU Lesser
    General Public License" lintian warning.

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 31 Oct 2012 12:33:52 +0100

libconfig-model-dpkg-perl (2.028) unstable; urgency=low

  * updated doc embedded in dpkg-copyright model
  * control: added build-dep on libfile-copy-recursive
    to fix a FTBS

 -- Dominique Dumont <dod@debian.org>  Tue, 09 Oct 2012 14:04:16 +0200

libconfig-model-dpkg-perl (2.027) unstable; urgency=low

  * re-release to unstable

 -- Dominique Dumont <dod@debian.org>  Sun, 07 Oct 2012 10:55:27 +0200

libconfig-model-dpkg-perl (2.026) experimental; urgency=low

  * Initial Release. (Closes: #689241)

 -- Dominique Dumont <dod@debian.org>  Sun, 07 Oct 2012 10:54:11 +0200
